events {}

http {
    include       /etc/nginx/mime.types;
    default_type  application/octet-stream;
    client_max_body_size 100M;

    gzip on;
    gzip_types text/plain text/css text/javascript;


    upstream backend {
        server backend:8000;
    }

    server {
        listen 80;

        location / {
            proxy_pass http://backend;
            proxy_set_header Host $host;
            proxy_set_header X-Real-IP $remote_addr;
            proxy_set_header X-Forwarded-For $proxy_add_x_forwarded_for;
            proxy_set_header X-Forwarded-Proto $scheme;
        }

        location /static/ {
            alias /usr/src/app/static/;
        }

        location /media/ {
            alias /usr/src/app/media/;
        }

        error_page 502 /static/html/500.html;
        error_page 503 /static/html/500.html;

	if ($http_user_agent ~* "Amazonbot|meta-externalagent|ClaudeBot|ahrefsbot|semrushbot") {
	    return 444;
	}

    }
}
